#include <iostream>
#include <vector>
using namespace std;

int main() {
    long long int n, h;  
    cin >> n >> h; 
    
    vector<long long int> arr(n);

    for (long long int i = 0; i < n; ++i) {
        cin >> arr[i];  
    }

    long long int counter = 0;

    for (long long int i = 0; i < n; ++i) {
        if (arr[i] > h) {
            counter++;
        } else {
            break;  
        }
    }
    counter = counter + 1;
    if (counter > n) {
        cout << -1;
    } else {
        cout << counter << endl;
    }

    return 0;
}